Trans-Elite


L'emploi par la route

Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Social

Information


Tag: [Trans-Elite]
Language: French
Created: 01 Aug 2023 19:14 UTC
Supported Game
Euro Truck Simulator 2
DLCs Required: 0
Owner: Fly_Yvoks
Members: 2
Recruitment: Open
Fly_Yvoks
Fly_Yvoks
Chef D'entreprise
Azun0ッ
Azun0ッ
Manager